- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage Applications
- /
- Get the default access authorization strategy of the application
¶ Get the default access authorization policy for the application
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory and the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Get the default access authorization policy for the application
¶ Method Name
ManagementClient.getApplicationPermissionStrategy
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| appId | string | Yes | - | Application ID | 6229ffaxxxxxxxxcade3e3d9 |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.GetApplicationPermissionStrategyDto;
import cn.authing.sdk.java.dto.GetApplicationPermissionStrategyRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class GetApplicationPermissionStrategyTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
GetApplicationPermissionStrategyDto reqDto = new GetApplicationPermissionStrategyDto();
reqDto.setAppId("6229ffaxxxxxxxxcade3e3d9");
GetApplicationPermissionStrategyRespDto response = client.getApplicationPermissionStrategy(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: GetApplicationPermissionStrategyRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | GetApplicationPermissionStrategyDataDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"permissionStrategy": "ALLOW_ALL"
}
}
¶ Data Structure
¶ GetApplicationPermissionStrategyDataDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| permissionStrategy | string | Yes | Application access authorization policy | ALLOW_ALL |
